/* ! NAVIGATIONS  */

/* General for all levels and navs: */
.nav-list {
	margin: 0;
	padding: 0;
	list-style: none;
}
.nav-item {
	position: relative;
	display: inline-block;
	display: block;
	margin-bottom: 0;
	vertical-align: top;
}
.nav-link {
	display: block;
	padding: .5em 1em;
	color: inherit;
	text-decoration: none;
	transition: all .3s;

	line-height: 1.25;
}
.nav-link:hover {
	color: #999;
}
.nav-item[data-nav-status='has-active'] > .nav-link {
	color: #999;
}
.nav-item[data-nav-status='active'] > .nav-link {
	color: #999;
}

	/* 	Main nav specific (opinionated) */
	.main-nav {
		width: 100%;
		clear: both;
		margin: 0;
		padding: .5rem 0;
	}

	/* Level 1 (horizontal) */
	.main-nav .nav-1 {
		display: flex;
		flex-direction: row;
		justify-content: space-around;
	}
	.main-nav .nav-1 > li {

	}
	.main-nav .nav-1 > li > a {
		text-align: center;
	}

	/* all sub-lists (drop-downs & drop-sides) */
	.main-nav .sub-list {
		display: block;
		position: absolute;
		top: 0;
		left: auto;
		width: 200px;
		margin: 0;
		padding: 0 0 .5rem 0;

		background-color: var(--primary);
		border: 1px solid rgba(0, 0, 0, 0.2);
		border-radius: 2px;
		box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);

		transition: all 0s;
		z-index: 1000;
	}
	.main-nav li              > .sub-list { visibility: hidden;  opacity: 0; transform: scale(.95); }
	.main-nav li:hover        > .sub-list { visibility: visible; opacity: 1; transform: scale(1); transition-duration: .3s; }
	.main-nav li:focus-within > .sub-list { visibility: visible; opacity: 1; transform: scale(1); }

	.main-nav .sub-list .sub-list { left: 100%; }

	.main-nav :nth-last-child(1) > .nav-2,
	.main-nav :nth-last-child(2) > .nav-2 { right: 0; left: auto; }

	.main-nav :nth-last-child(1) > .nav-2 .nav-list,
	.main-nav :nth-last-child(2) > .nav-2 .nav-list { right: 100%; left: auto; }

	.main-nav :nth-last-child(1) > .nav-2 .has-sub > .nav-link::after,
	.main-nav :nth-last-child(2) > .nav-2 .has-sub > .nav-link::after { transform: scaleX(-1); }



	/* Level 2 (the only drop-down ) */
	.main-nav .nav-2 {
		top: 100%;
	}


	.main-nav .nav-2 > li {

	}
	.main-nav .nav-2 > li > a {

	}

	/* Level 3, etc. */
	.main-nav .nav-3 {

	}
	.main-nav .nav-3 > li {

	}
	.main-nav .nav-3 > li > a {

	}


	/* Has-subs Chevron indicators */
	.main-nav .has-sub > .nav-link {
		padding-right: 1.5em;
	}
	.main-nav .has-sub > .nav-link:after {
		position: absolute;
		top: 0;
		bottom: 0;
		margin: auto;
		right: .25em;
		content: " ";
		background: no-repeat right center url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='24' height='24'><path fill='%23ffffff' d='M8.59,16.58L13.17,12L8.59,7.41L10,6L16,12L10,18L8.59,16.58Z' /></svg>");
		display: block;
		width: 1em;
		height: 1em;
		background-size: 100%;
		transform-origin: center center;
	}
	.main-nav .nav-1 > .has-sub > .nav-link:after {
		transform: rotate(90deg);
	}

	.main-nav #navigation-1-13 .nav-link:hover {
		color: var(--film);
	}
	.main-nav #navigation-1-12 .nav-link:hover {
		color: var(--financing);
	}


	/* ! Landing (in-area) Nav */
	.landing-nav {
		font-size: 2rem;
		margin-block: 2rem;
	}
	.landing-nav .nav-list .nav-list {
		margin-left: 1rem;
	}
	.landing-nav .nav-2 {
		display: none;
	}

	.landing-nav .nav-item {
		margin-bottom: .5rem;
	}
	.landing-nav .nav-link {
		display: block;
		padding: 1rem;
		border: 1px solid #000;
		text-align: center;
		text-transform: uppercase;
		font-family: var(--font-primary-heavy);
	}

	.landing-nav .nav-link:hover,
	.landing-nav .nav-item[data-nav-status='active'] > .nav-link {
		color: #fff;
		background-color: var(--primary);
	}
	.in-area-film-commission .landing-nav .nav-link:hover {
		background-color: var(--film);
	}
	.in-area-film-tv .landing-nav .nav-link:hover {
		background-color: var(--financing);
	}


	.landing-deep-nav .landing-nav .nav-2 {
		display: block; /* display subnavs if .landing-deep-nav wrapper class is set */
	}
	.landing-deep-nav .landing-nav .nav-item {
		margin-bottom: 1rem;
	}
	.landing-deep-nav .landing-nav .nav-2 .nav-item {
		margin-bottom: 0;
	}
	.landing-deep-nav .landing-nav .nav-2 .nav-link {
		border-top: none;
		font-size: smaller;
	}

	.landing-deep-nav .landing-nav .type-node > .nav-link {
		pointer-events: none;
	}




	/* ! Footer Nav */
	.footer-nav {
		font-size: 16px;
	}
		.footer-nav.nav-1 {
			display: flex;
			flex-direction: row;
		}
		.footer-nav.nav-1 > li > a {
			padding-left: 0;
			text-decoration: underline;
		}
		.footer-nav .nav-2 {
			display: none;
		}


	/* ! Site Map */
	.sitemap-nav {
		margin: 4rem auto;
		max-width: 320px;
	}
		.sitemap-nav .nav-list {
			margin-left: 2rem;
			margin-bottom: 2rem;
		}
	.sitemap-nav a {
		padding: .25rem .5rem;
		font-size: 1.25rem;
		font-weight: 400;
	}
	.sitemap-nav > li > a {
		font-weight: 900;
	}
	.sitemap-nav [href="/some-page-to-be-hidden"] {
		display: none; /* hide grouping node link */
	}
